CVE-2015-1838

NameCVE-2015-1838
Descriptionmodules/serverdensity_device.py in SaltStack before 2014.7.4 does not properly handle files in /tmp.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
salt (PTS)jessie2014.1.13+ds-3fixed
stretch2016.11.2+ds-1+deb9u2fixed
buster2018.3.4+dfsg1-6fixed
sid2018.3.4+dfsg1-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
saltsource(unstable)(not affected)

Notes

- salt <not-affected> (Vulnerable code only present in experimental version; introduced in 2014.7.0)
https://github.com/saltstack/salt/commit/e11298d7155e9982749483ca5538e46090caef9c

Search for package or bug name: Reporting problems